glibmm 2.39.92

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Value_Pointer< T, PtrT > Class Template Reference
Generic Values

`#include <glibmm/value_custom.h>`

Inheritance diagram for Glib::Value_Pointer< T, PtrT >:
[legend]

## Public Types
typedef PtrT | CppType
typedef void* | CType

## Public Member Functions
void | set (CppType data)
CppType | get () const

## Static Public Member Functions
static GType | value_type ()
Static Public Member Functions inherited from Glib::ValueBase_Object
static GType | value_type ()

## Additional Inherited Members
Protected Member Functions inherited from Glib::ValueBase_Object
void | set_object (Glib::ObjectBase* data)
Glib::ObjectBase* | get_object () const
Glib::RefPtr< Glib::ObjectBase > | get_object_copy () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Member Typedef Documentation

template <class T, class PtrT>

typedef PtrT Glib::Value_Pointer< T, PtrT >::CppType

template <class T, class PtrT>

typedef void* Glib::Value_Pointer< T, PtrT >::CType

## Member Function Documentation

template <class T, class PtrT>

CppType Glib::Value_Pointer< T, PtrT >::get | ( | ) |  | const
| inline

template <class T, class PtrT>

void Glib::Value_Pointer< T, PtrT >::set | ( | CppType | data) |  |
| inline

template <class T, class PtrT>

static GType Glib::Value_Pointer< T, PtrT >::value_type | ( | ) |  |
| inline static